Package org.eclipse.emf.spi.cdo

# Interface InternalCDOXATransaction

All Superinterfaces:
  `CDOUserTransaction`, `CDOXATransaction`, `InternalCDOUserTransaction`

public interface InternalCDOXATransaction extends CDOXATransaction, InternalCDOUserTransaction
If the meaning of this type isn't clear, there really should be more of a description here...

Since:
  2.0
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`InternalCDOXATransaction.InternalCDOXACommitContext`
If the meaning of this type isn't clear, there really should be more of a description here...

## Method Summary

Modifier and Type
Method
Description
`void`
`add(InternalCDOTransaction transaction)`
`void`
`add(InternalCDOTransaction transaction, CDOID object)`
`InternalCDOXATransaction.InternalCDOXACommitContext`
`getCommitContext(CDOTransaction transaction)`
`InternalCDOXASavepoint`
`getLastSavepoint()`
`void`
`remove(InternalCDOTransaction transaction)`
`void`
`rollback(InternalCDOXASavepoint savepoint)`
`InternalCDOXASavepoint`
`setSavepoint()`
Creates a save point in the `CDOTransaction` that can be used to roll back a part of the transaction

### Methods inherited from interface org.eclipse.emf.cdo.transaction.CDOUserTransaction

`commit, commit, rollback`

### Methods inherited from interface org.eclipse.emf.cdo.transaction.CDOXATransaction

`add, isAllowRequestFromTransactionEnabled, remove, setAllowRequestFromTransactionEnabled`

## Method Details

### setSavepoint

InternalCDOXASavepoint setSavepoint()
Description copied from interface: `CDOUserTransaction`
Creates a save point in the `CDOTransaction` that can be used to roll back a part of the transaction

Save points do not involve the server side, everything is done on the client side.

Specified by:
  `setSavepoint` in interface `CDOUserTransaction`
Specified by:
  `setSavepoint` in interface `CDOXATransaction`
Specified by:
  `setSavepoint` in interface `InternalCDOUserTransaction`
Since:
  3.0

### getLastSavepoint

InternalCDOXASavepoint getLastSavepoint()

Specified by:
  `getLastSavepoint` in interface `CDOUserTransaction`
Specified by:
  `getLastSavepoint` in interface `CDOXATransaction`
Specified by:
  `getLastSavepoint` in interface `InternalCDOUserTransaction`
Since:
  3.0

### rollback

void rollback(InternalCDOXASavepoint savepoint)

Since:
  3.0

### add

void add(InternalCDOTransaction transaction, CDOID object)

Since:
  3.0

### add

void add(InternalCDOTransaction transaction)

Since:
  3.0

### remove

void remove(InternalCDOTransaction transaction)

Since:
  3.0

### getCommitContext

InternalCDOXATransaction.InternalCDOXACommitContext getCommitContext(CDOTransaction transaction)